{% from "shuup/admin/macros/general.jinja" import content_block %}
{% set shop_product_form = form[form_def.name] %}
{% set shop_name = shop_product_form.instance.shop.name %}

{% if shop_product_form.primary_category and shop_product_form.categories %}
     {# This will only be shown once, as they will be in sync across all shop products. #}
    <div class="row content">
        <div class="col-lg-12">
            {{ bs3.field(shop_product_form.primary_category) }}
            {{ bs3.field(shop_product_form.categories) }}
        </div>
    </div>
{% endif %}

<div class="title sub-title">
    <h2 class="block-subtitle d-flex"><i class="fa fa-home"></i>{{ shop_name }}</h2>
</div>
<div class="row content">
    <div class="col-lg-12">
        {% if product.shop.name != shop_name %}
            {% set price_placholder = shop_product_form.supplier_price.label ~ _(" - leave empty to not sell in this shop") %}
        {% else %}
            {% set price_placholder = shop_product_form.supplier_price.label %}
        {% endif %}
        {{ bs3.field(shop_product_form.supplier_price, placeholder=price_placholder) }}
        {{ bs3.field(shop_product_form.discount_amount) }}
        {{ bs3.field(shop_product_form.limit_shipping_methods) }}
        {{ bs3.field(shop_product_form.shipping_methods) }}
        {{ bs3.field(shop_product_form.visibility) }}
    </div>
</div>
